るりまサーチ (Ruby 2.1.0)

最速Rubyリファレンスマニュアル検索!
2件ヒット [1-2件を表示] (0.093秒)

別のキーワード

  1. rubygems gem
  2. rubygems/gem_openssl ssl_available?
  3. rubygems/gem_openssl ensure_ssl_available
  4. gem prefix
  5. gem ruby_engine

検索結果

Gem::Installer#ensure_dependency(spec, dependency) -> true (28.0)

インストールしようとしている Gem が依存関係を満たしている事を確認します。

...を満たしていない場合は、例外 Gem::InstallError が発生します。

@param spec Gem::Specification のインスタンスを指定します。

@param dependency Gem::Dependency のインスタンスを指定します。

@raise Gem::InstallError 依存関係を満たしていない...

Gem::Installer#installation_satisfies_dependency?(dependency) -> bool (28.0)

登録されているソースインデックスが与えられた依存関係を 満たすことができる場合は、真を返します。そうでない場合は偽を返します。

登録されているソースインデックスが与えられた依存関係を
満たすことができる場合は、真を返します。そうでない場合は偽を返します。

@param dependency Gem::Dependency のインスタンスを指定します。